This API allows getting any kind of sellable items or specific item.
- Get coupon rewards
Shop Builder API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.
Personalized catalog
This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.
For personalized promotions see Promotions section.
To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Unique coupon code. Contains letters and numbers.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/coupon/redeem
- https://store.xsolla.com/api/v2/project/{project_id}/coupon/redeem
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/coupon/redeem \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"coupon_code": "WINTER2021",
"selected_unit_items": {
"game_1": "game_1_steam",
"game_2": "game_2_playstation"
}
}'Coupon was successfully redeemed.
{ "items": [ { … } ] }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/coupon/code/{coupon_code}/rewards
- https://store.xsolla.com/api/v2/project/{project_id}/coupon/code/{coupon_code}/rewards
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/coupon/code/WINTER2021/rewards \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "bonus": [ { … }, { … } ], "discount": { "percent": "10.00" }, "is_selectable": true }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Unique promotion ID. The external_id may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.
Promotion validity periods. If multiple periods are specified, both date_from and date_until are required.
Name of promotion. Should contain key/value pairs where key is a locale with "^[a-z]{2}-[A-Z]{2}$" format, value is string.
Limits total numbers of coupons.
Limits total numbers of coupons redeemed by single user.
Number of redemptions per code.
Conditions for validating user attributes. Determine promotion availability based on whether user attributes match all specified conditions.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v3/project/{project_id}/admin/coupon
- https://store.xsolla.com/api/v3/project/{project_id}/admin/coupon
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://xsolla.redocly.app/_mock/api/shop-builder/v3/project/44056/admin/coupon \
-H 'Content-Type: application/json' \
-d '{
"external_id": "coupon_external_id",
"promotion_periods": [
{
"date_from": "2020-04-15T18:16:00+05:00",
"date_until": "2020-04-25T18:16:00+05:00"
},
{
"date_from": "2020-05-15T18:16:00+05:00",
"date_until": "2020-05-25T18:16:00+05:00"
}
],
"name": {
"en-US": "New Year Bonus",
"de-DE": "Neujahrsbonus"
},
"redeem_total_limit": 100,
"redeem_user_limit": 1,
"redeem_code_limit": 1,
"bonus": [
{
"sku": "com.xsolla.elven_sword_1",
"quantity": 1
}
]
}'{ "external_id": "coupon_external_id" }